Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1360716

Summary: systemd v231 libsystemd-shared selinux denials
Product: [Fedora] Fedora Reporter: Jan Synacek <jsynacek>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 26CC: dominick.grift, dwalsh, johannbg, lnykryn, lvrabec, mgrepl, msekleta, muadda, plautrba, ssahani, s, systemd-maint, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: selinux-policy-3.13.1-205.fc26 selinux-policy-3.13.1-260.1.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-07-17 04:52:37 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Synacek 2016-07-27 11:40:17 UTC
Description of problem:
See steps to reproduce.


Version-Release number of selected component (if applicable):
systemd-231-2.fc25.x86_64


Steps to Reproduce:
1. systemctl start systemd-networkd
2. Observe the avcs.

Simple 'chcon system_u:object_r:lib_t:s0 /usr/lib/systemd/libsystemd-shared-231.so' seems to fix the problem.

Comment 1 Fedora End Of Life 2017-02-28 10:00:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora Update System 2017-07-11 17:07:49 UTC
selinux-policy-3.13.1-260.1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2721b7375

Comment 3 Fedora Update System 2017-07-12 08:38:59 UTC
selinux-policy-3.13.1-260.1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2721b7375

Comment 4 Fedora Update System 2017-07-17 04:52:37 UTC
selinux-policy-3.13.1-260.1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.